# Integrations

We currently have an integration active on [Coingecko](https://www.coingecko.com/en/exchanges/plenty-network).

{% hint style="info" %}
Version 1 and version 2 below do not have any connection to Plenty's v1 and v2. These represent various available schemas under integrations.
{% endhint %}

### Version 1

## Get all the token pairs on Plenty

<mark style="color:blue;">`GET`</mark> `https://api.plenty.network/integrations/v1/pairs`

This endpoint returns an array of objects where each object contains information on the available pairs, the ticker id, base and target currency and unique identifier.

{% tabs %}
{% tab title="200: OK Successfully returned list of pairs" %}

```typescript
[
  {
    tickerId: string; // Eg: USDC/USDT
    base: string; // Token symbol
    target: string; // Token symbol
    poolId: string; // Tezos contract address
  }
]
```

{% endtab %}
{% endtabs %}

## Get the market data of all pairs on Plenty

<mark style="color:blue;">`GET`</mark> `https://api.plenty.network/integrations/v1/tickers`

This endpoint returns an array of objects where each object contains information on the market data of the pair, like the last price in the target currency, base and target volume of the last 24 hours and pool identifier.

{% tabs %}
{% tab title="200: OK Successfully returned market data of all pairs" %}

```typescript
[
  {
    tickerId: string;
    baseCurrency: string; // Token symbol
    targetCurrency: string; // Token symbol
    lastPrice: string;
    baseVolume: string;
    targetVolume: string;
    poolId: string; // Tezos contract
  }
]
```

{% endtab %}
{% endtabs %}

### Version 2

## Get the market data of all pairs on Plenty

<mark style="color:blue;">`GET`</mark> `https://api.plenty.network/integrations/v2/tickers`

This endpoint returns an array of objects where each object contains information on the market data of the pair, like the last price in the quote currency, base volume of the last 24 hours and pool identifier.

{% tabs %}
{% tab title="200: OK Successfully returned market data of all pairs" %}

```typescript
[
  {
    market: string; // Ticker id. Eg: USDT-USDC
    base: string; // Token symbol
    quote: string; // Token symbol
    price_quote: string;
    volume_base: string;
  }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.plenty.network/endpoints/integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
